Thread (12 messages) 12 messages, 3 authors, 2019-11-19

Re: [PATCH v3 1/1] ci(osx): use new location of the `perforce` cask

From: Johannes Schindelin <hidden>
Date: 2019-11-19 20:59:47

Hi Gábor,

On Mon, 18 Nov 2019, SZEDER Gábor wrote:
On Wed, Oct 23, 2019 at 12:19:38AM +0000, Johannes Schindelin via GitGitGadget wrote:
quoted
CI servers are typically fresh virtual machines, but not always. To
accommodate for that, let's try harder if `brew cask install perforce`
fails, by specifically pulling the latest `master` of the
`homebrew-cask` repository.
quoted
diff --git a/ci/install-dependencies.sh b/ci/install-dependencies.sh
index 85a9d6b15c..ce149ed39c 100755
--- a/ci/install-dependencies.sh
+++ b/ci/install-dependencies.sh
@@ -40,6 +40,11 @@ osx-clang|osx-gcc)
 	test -z "$BREW_INSTALL_PACKAGES" ||
 	brew install $BREW_INSTALL_PACKAGES
 	brew link --force gettext
+	brew cask install perforce || {
+		# Update the definitions and try again
+		git -C "$(brew --repository)"/Library/Taps/homebrew/homebrew-cask pull &&
In the build of v2.24.0 this 'git pull' printed just short of 600
lines worth of diffstat.  Two weeks went by since then, and in today's
'pu' build that diffstat is already over 1000 lines long.

Perhaps we could use --quiet here, though that would suppress the
transfer progress as well.
Isn't there an option to suppress the diffstat specifically?

*clicketyclick*

Ah yes: we can just pass `-c merge.stat=false` to that `pull` command.

Feel free to submit a patch, as I won't really have time to take care of
this any time soon.

Ciao,
Dscho
quoted
+		brew cask install perforce
+	} ||
 	brew install caskroom/cask/perforce
 	case "$jobname" in
 	osx-gcc)
--
gitgitgadget
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help